Subject: bug#56530: 29.0.50; mouse-2 cut selected text when cua-mode is enabled

From: Visuwesh <[email-masked]>
Date: Wed, 13 Jul 2022 16:49:24 +0530

[Wednesday July 13, 2022] Lars Ingebrigtsen wrote:

> Visuwesh <[email-masked]> writes:
>
>> AFAICT, the recipe produces what I had in my mind when I proposed.  The
>> behaviour might seems slightly odd since mouse-yank-at-point is set to
>> nil in OP's case.  It shouldn't be hard to take this defcustom into
>> account tho.
>
> I think the patch has to be reverted, because this isn't what I had in
> mind at all.  But we can reintroduce the same effect via, for instance,
> a new minor mode that has the same effect (for those that want this).

Fine by me.  But I'm not sure how many people want this (I count two so
far), so we can just let the users who desire this behaviour add a few
lines to their init.el.  Or how about the snippet in
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=56530#26 look to you?